/* $Id: config.h,v 1.3 2001/08/04 14:11:31 andrew Exp $ */

#ifndef CONFIG_H
#define CONFIG_H

#include <paths.h>
#include <syslog.h>

/* syslog facility to use when logging */
#define SYSLOG_FACILITY LOG_AUTH

/* string to appear at the start of each log message */
#define SYSLOG_IDENT "blimitd"

/* location of pid file */
#define PID_FILE	_PATH_VARRUN ## "blimitd.pid"

/* how often to check for infringements (in seconds). NB warnings can't be
 * sent more frequently than this figure either */
#define MONITOR_INTERVAL (300)

/* header to appear before every message sent to a user
 *
 * the first %s is replaced with the hostname of the local machine while the
 * the two %d symbols are replaced with the hour and minute the message was
 * sent respectively. \r means carriage return, \n means linefeed and \a
 * means bell. this string is passed to printf. */
#define MESSAGE_HEADER "\r\n\r\n\a\a\aMessage from blimitd@%s at %d:%02d...\r\n\r\n"

/* method used to logout users
 *
 * see kill.c for the pros and cons of each method but you can pick from
 * kill_hangup (set the baud rate of the terminal to 0), kill_revoke
 * (revoke(2) the user's terminal), kill_kvm (send a hangup signal to the
 * user's shell) and kill_ext (run an external program to do the job). */
#define LOGOUT	kill_kvm

/* if kill_ext is selected above then this is the program that is run. it is
 * invoked with the arguments -u <username> -t <tty> */
#define KILL_CMD	"/usr/local/sbin/logoff_user"

/*
 * settings for the idletime capability
 */

/* how many minutes before being logged out is the user warned (leave the {}s
 * empty for no warnings) */
#define IDLE_WARN_TIMES	{10, 5, 1}

/* message sent to a user to warn them of their impending logout. The first
 * %llu is replaced with their allowed idle time and the second with their
 * actual idle time. */
#define IDLE_WARN_MESSAGE "This session may only be left idle for %llu minutes. It has now been idle for\r\n%llu minutes. Please log out if you are finished.\r\n\r\n"

/* message to send just before logging out a user for being idle too long. The
 * first %llu is replaced with their allowed idle time and the second with
 * their actual idle time. */
#define IDLE_LOGOUT_MESSAGE "This session may only be left idle for %llu minutes. It has now been idle for\r\n%llu minutes and will be terminated.\r\n\r\n"

#endif
